Name:           lujavrite
Version:        1.1.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Lua library for calling Java code
License:        ASL 2.0
URL:            https://github.com/mizdebsk/lujavrite
#ExclusiveArch:  %%{java_arches}

Source0:        https://github.com/mizdebsk/lujavrite/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         lujavrite-linking.patch

BuildRequires:  gcc
BuildRequires:  lua-devel
BuildRequires:  java-21-openjdk-devel

%{?lua_requires}

%description
LuJavRite is a rock-solid Lua library that allows calling Java code
from Lua code.  It does so by launching embedded Java Virtual Machine
and using JNI interface to invoke Java methods.

%prep
%autosetup -p1

%build
%set_build_flags
export JAVA_HOME=%{_jvmdir}/jre-21-openjdk
./build.sh

%install
install -D -p -m 0755 lujavrite.so %{buildroot}%{lua_libdir}/%{name}.so

%check
export JAVA_HOME=%{_jvmdir}/jre-21-openjdk
lua test.lua

%files
%{lua_libdir}/*
%license LICENSE NOTICE
%doc README.md


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.1.0-2.mga10
+ Revision: 2234086
- Mageia 10 Mass Rebuild

* Mon Jan 20 2025 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2140019
- new version: 1.1.0

* Fri Jan 17 2025 daviddavid <daviddavid> 1.0.2-2.mga10
+ Revision: 2139534
- add patch to fix linking issue
+ ns80 <ns80>
- try to fix link

* Thu May 16 2024 ns80 <ns80> 1.0.2-1.mga10
+ Revision: 2064398
- imported package lujavrite

